Name:		arpage
Version:	0.3.3
Release:	6%{?dist}
Summary:	A JACK MIDI arpeggiator

Group:		Applications/Multimedia
License:	GPLv3
URL:		http://arpage.sourceforge.net
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Patch0:		%{name}-gcc46.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	gtkmm24-devel
BuildRequires:	intltool libxml++-devel
BuildRequires:	desktop-file-utils

%description

A GTK application that runs up to 4 arpeggiators on incoming MIDI
data, synchronized to JACK.

%prep
%setup -q

#fix compilation with gcc 4.6
%patch0 -p1 -b .%{name}-gcc46.patch

# fix bad permissions in debuginfo
chmod 644 %{_builddir}/%{name}-%{version}/src/main.cc

%build


%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} arpagedocdir=%{_defaultdocdir}/%{name}-%{version}

desktop-file-install --dir=%{buildroot}/%{_datadir}/applications %{SOURCE1}

mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/32x32/apps
install -m 644 %{_builddir}/%{name}-%{version}/src/arpage.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/



%clean
rm -rf %{buildroot}

%post

touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :

%postun

if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :
  gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog AUTHORS README
%{_bindir}/%{name}
%{_bindir}/zonage
%{_datadir}/%{name}/ui/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png

%changelog
* Fri Jun 24 2011 Adam Huffman <bloch@verdurin.com> - 0.3.3-6
- add patch to fix compilation with GCC 4.6

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jun 23 2010 Adam Huffman <bloch@verdurin.com> - 0.3.3-4
- - minor fix to icon scriptlet path

* Wed Jun 23 2010 Adam Huffman <bloch@verdurin.com> - 0.3.3-3
- fix desktop file and icon handling

* Mon Jun 21 2010 Adam Huffman <bloch@verdurin.com> - 0.3.3-2
- add AUTHORS and README to doc
- add desktop file
- add icon

* Fri May 21 2010 Adam Huffman <bloch@verdurin.com> - 0.3.3-1
- new upstream release
- add libxml++ BR
- add new UI files

* Sun Jan 31 2010 Adam Huffman <bloch@verdurin.com> - 0.2-1
- initial version
- Makefile variable set to move doc files to standard location
- delete empty doc files
